#import "fileListMgr.h"
#import "myProject.h"
@implementation fileListMgr
- (int)numberOfRowsInTableView:(NSTableView *)aTableView
{
	if([[myProj getHotFileList] count] > 0)
    NSLog(@"Filelstmgr: %d objects, 1st name: %@\n", [[myProj getHotFileList]
count], [[[myProj getHotFileList] objectAtIndex: 0] name]);
else NSLog(@"Filelstmgr: %d objects", [[myProj getHotFileList] count]);
   return [[myProj getHotFileList] count];

}

- (id)tableView:(NSTableView *)aTableView objectValueForTableColumn:(NSTableColumn *)aTableColumn row:(int)rowIndex
{
   NSLog(@"Filelstmgr: %d objects, 1st name: %@\n", [[myProj getHotFileList]
count], [[[myProj getHotFileList] objectAtIndex: rowIndex] name]);
   return [[[myProj getHotFileList] objectAtIndex: rowIndex] name];
}
- (BOOL)tableView:(NSTableView *)aTableView shouldEditTableColumn:(NSTableColumn *)aTableColumn row:(int)rowIndex
{
    return NO;
}
@end
